Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.beans
Class MethodDescriptor

    java.lang.Object
      java.beans.FeatureDescriptor
          java.beans.MethodDescriptor

    public class MethodDescriptor

extends FeatureDescriptor

A MethodDescriptor describes a particular method that a Java Bean supports for external access from other components.

Constructor Summary
`MethodDescriptor(Method method)` Constructs a `MethodDescriptor` from a `Method`.
`MethodDescriptor(Method method, ParameterDescriptor[] parameterDescriptors)` Constructs a `MethodDescriptor` from a `Method` providing descriptive information for each of the method's parameters.

Method Summary
`Method` | `getMethod()` Gets the method that this MethodDescriptor encapsualtes.
`ParameterDescriptor[]` | `getParameterDescriptors()` Gets the ParameterDescriptor for each of this MethodDescriptor's method's parameters.

Methods inherited from class java.beans.FeatureDescriptor
`attributeNames, getDisplayName, getName, getShortDescription, getValue, isExpert, isHidden, isPreferred, setDisplayName, setExpert, setHidden, setName, setPreferred, setShortDescription, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodDescriptor

    public MethodDescriptor(Method method)

  Constructs a `MethodDescriptor` from a `Method`.

  Parameters:
    `method` - The low-level method information.

### MethodDescriptor

    public MethodDescriptor(Method method,
                            ParameterDescriptor[] parameterDescriptors)

  Constructs a `MethodDescriptor` from a `Method` providing descriptive information for each of the method's parameters.

  Parameters:
    `method` - The low-level method information.
    `parameterDescriptors` - Descriptive information for each of the method's parameters.

Method Detail

### getMethod

    public Method getMethod()

  Gets the method that this MethodDescriptor encapsualtes.

  Returns:
    The low-level description of the method

### getParameterDescriptors

    public ParameterDescriptor[] getParameterDescriptors()

  Gets the ParameterDescriptor for each of this MethodDescriptor's method's parameters.

  Returns:
    The locale-independent names of the parameters. May return a null array if the parameter names aren't known.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.